#include <iostream>

using namespace std;

int main() {

    int T, N, K;
    long M;
    cin>>T;
    for(int i=0; i < T; i++){
        cin>>N>>M>>K;
        if(M < N || (K==1 && M < ((N*(N+1))/2))){
            
            cout << "Nie" <<endl;
        }
        else
            cout << "Tak"<<endl;
    }
}